IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_EB_MAINSUBCONTROLSET')
CREATE TABLE T_EB_MAINSUBCONTROLSET
(
    FID               BIGINT            DEFAULT 0 NOT NULL,
    FBASENAME         NVARCHAR(50)      NOT NULL DEFAULT ' ',
    FCONTROLNAME      NVARCHAR(255)      NOT NULL DEFAULT ' ',
    FISENABLE         CHAR(1)           NOT NULL DEFAULT '0',
    FCONTROLMODELTYPE NVARCHAR(50)      NOT NULL DEFAULT ' ',
    FCONTROLTYPE      NVARCHAR(50)      NOT NULL DEFAULT ' ',
    FDATAMETA         NVARCHAR(50)      NOT NULL DEFAULT ' '
);
EXEC P_ALTERPK 'PK_T_EB_MAINSUBCONTROLSET', 'T_EB_MAINSUBCONTROLSET', 'FID', '1';